--Show me all the information I have about every sale 
SELECT c.* --Country Information
       ,p.* --Product Information
	   ,t.* --Time details
	   ,Order_method_type, Urgent, Retailer_type, Sale_price, Quantity_sold --Sales information
FROM sales as s JOIN countries as c ON s.retailer_city=c.city
                JOIN products as p ON s.product_code=p.code
				JOIN times as t ON s.date=t.date

--Flat file
go
CREATE VIEW flat_view AS
SELECT c.*
       ,p.*
	   ,t.*
	   ,Order_method_type, Urgent, Retailer_type, Sale_price, Quantity_sold
FROM sales as s JOIN countries as c ON s.retailer_city=c.city
                JOIN products as p ON s.product_code=p.code
				JOIN times as t ON s.date=t.date
go				
--Using the view
SELECT distinct(city) FROM flat_view
ORDER BY city
--Not using view
SELECT distinct(city) FROM countries
ORDER BY city